skylighting-0.1.1.5: syntax highlighting library

Safe Haskell | None
Language | Haskell2010

Skylighting.Tokenizer

Synopsis

- tokenize :: TokenizerConfig -> Syntax -> Text -> Either String [SourceLine]
- data TokenizerConfig = TokenizerConfig {
  - syntaxMap :: SyntaxMap
  - traceOutput :: Bool
  }

# Documentation

tokenize :: TokenizerConfig -> Syntax -> Text -> Either String [SourceLine] #

Tokenize some text using `Syntax`.

data TokenizerConfig #

Configuration options for `tokenize`.

Constructors

TokenizerConfig |
Fields syntaxMap :: SyntaxMap Syntax map to use traceOutput :: Bool Generate trace output for debugging

Instances

Show TokenizerConfig # |
Methods showsPrec :: Int -> TokenizerConfig -> ShowS # show :: TokenizerConfig -> String # showList :: [TokenizerConfig] -> ShowS #